# PSORT
# PSORT Method Subcellular Localization Predictions

[SAMPLE]
FIELD_ACCESSION java.lang.Integer 1

# too many results may be returned
#[TEST_DATUM]
#11

[CORE]
FIELD_ANNOTATION SELECT name FROM PSORT__$CELLULAR_STRUCTURES WHERE id="@FIELD_ACCESSION@"

[LINKAGE_TO]
LINK_SWISSPROT      SELECT FKDest__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__HOMOLOGY$SWISSPROT WHERE FKSrc__value="@FIELD_ACCESSION@" ORDER BY FIELD_SCORE

# LINK_SWISSPROT   SELECT FK_SWISSPROT__DATA__id AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__DATA__LINKAGES$SWISSPROT WHERE AK_PSORT__DATA__$CELLULAR_STRUCTURES__id="@FIELD_ACCESSION@" ORDER BY score
# LINK_TREMBL      SELECT FK_SWISSPROT__DATA__id AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__DATA__LINKAGES$TREMBL WHERE AK_PSORT__DATA__$CELLULAR_STRUCTURES__id="@FIELD_ACCESSION@" ORDER BY score

LINK_TREMBL      SELECT FKDest__value AS FIELD_ACCESSION, K_value AS FIELD_SCORE FROM PSORT__HOMOLOGY$TREMBL WHERE FKSrc__value="@FIELD_ACCESSION@" ORDER BY FIELD_SCORE

[LINKAGE_FROM]
# LINK_SWISSPROT   SELECT AK_PSORT__DATA__$CELLULAR_STRUCTURES__id AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__DATA__LINKAGES$SWISSPROT WHERE FK_SWISSPROT__DATA__id='@FIELD_ACCESSION@' ORDER BY score
LINK_SWISSPROT       SELECT FKSrc__value AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__HOMOLOGY$SWISSPROT WHERE FKDest__value="@FIELD_ACCESSION@" ORDER BY FIELD_SCORE

# LINK_TREMBL      SELECT AK_PSORT__DATA__$CELLULAR_STRUCTURES__id AS FIELD_ACCESSION, score AS FIELD_SCORE FROM PSORT__DATA__LINKAGES$TREMBL WHERE FK_SWISSPROT__DATA__id='@FIELD_ACCESSION@' ORDER BY score
LINK_TREMBL       SELECT FKSrc__value AS FIELD_ACCESSION, K_value AS FIELD_SCORE FROM PSORT__HOMOLOGY$TREMBL WHERE FKDest__value="@FIELD_ACCESSION@" ORDER BY FIELD_SCORE


[KEYWORD]
FIELD_ACCESSION  SELECT id FROM PSORT__$CELLULAR_STRUCTURES WHERE %id% LIKE '@keyword@' ORDER BY id
FIELD_ANNOTATION SELECT id FROM PSORT__$CELLULAR_STRUCTURES WHERE %name% LIKE '@keyword@' ORDER BY id
